package com.miaxis.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.common.core.domain.entity.UserInfo;
import com.miaxis.extension.vo.ExtensionIncomeVo;

import java.util.List;

/**
 * 用户Service接口
 *
 * @author miaxis
 * @date 2021-08-18
 */
public interface IUserInfoService extends IService<UserInfo>{
    /**
     * 查询用户列表
     *
     * @param userInfo 用户
     * @return 用户集合
     */
    public List<UserInfo> selectUserInfoList(UserInfo userInfo);

    UserInfo getUpUserInfo(String fromUserName);

    List<ExtensionIncomeVo> getDownLevelPoints(String openid);
}
